QGIS Application - Bug report #19716
DB Manager Virtual Layers Always Crashes on query error
2018-08-27 10:05 PM - Hadrien Bois

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.2 Regression?: No

Operating System: win10x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 27541
Description

DB Manager Virtual Layers Always Crashes on query error. If there are no errors in the sqgl query it works fine, but if | make a sql mistake
in the code, it always crashes. Did not crash in 3.0.

Pasted from error message:

User Feedback

Report Details

Crash ID: 64cec76a14e602614eb14097e30f819dcafc6082
Stack Trace

QBasicMutex::unlockInternal :
QgsTask::processSubTasksForTermination :
QgsTask::cancel :

Pylnit__core :

PyCFunction_FastCallDict :
PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :
PyFunction_FastCallDict :
PyObject_CallFunctionObjArgs :
PyObject_Call :

Pylnit_sip :
std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :
std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :
QgsTask::subTaskStatusChanged :
QMetaCallEvent::placeMetaCall :
QObject::event :
std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :
QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QCoreApplicationPrivate::sendPostedEvents :
gt_plugin_query_metadata :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-28 01:50 AM - Nyall Dawson
- Status changed from Open to Feedback

| can't reproduce. Can you share some data and an example of a query which crashes?

#2 - 2018-08-28 02:51 PM - Hadrien Bois
- File DBManager_before_crash.jpg added
- File points.gpkg added

Nyall Dawson wrote:

I can't reproduce. Can you share some data and an example of a query which crashes?

Just now, | created a new layer on a new project, with 2 fields and 4 points | placed. In DB Manager, virtual layers, tried

select * from 'points noname'

and got a list of the 4 points. | tried the same query two more time using selekt and selectt instead of select, got an error and qgis crashed both times. It
pops up a small windows called Dtabase Error, with the text: An error occured and a blank field

This also happened in qgis 3.2.1 Also, | would use qgis 3.0 to get around these crashes, but recently qgis 3.0 has started giving me this python error on
load (with a blank python path). | uninstalled and reinstalled ggis 3.0 but it doesn't change. This makes me lose the DB Manager and all vector functions:

Couldn't load qgis.user.
Python support will be disabled.

traceback.print_exception() failed

Python version:

QGIS version:
3.0.3-Girona 'Girona', 8a899¢8758
Python path:

Here is the copied crash report from my sql test with an error in the query on qgis 3.2:

User Feedback

Report Details

Crash ID: 64cec76a14e602614eb14097e30f819dcafc6082
Stack Trace

QBasicMutex::unlockInternal :
QgsTask::processSubTasksForTermination :
QgsTask::cancel :

Pylnit__core :
PyCFunction_FastCallDict :
PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :
PyFunction_FastCallDict :
PyObject_CallFunctionObjArgs :
PyObject_Call :

Pylnit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :
std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :

QgsTask::subTaskStatusChanged :
QMetaCallEvent::placeMetaCall :
QObiject::event :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Getal :

QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QCoreApplicationPrivate::sendPostedEvents :
qt_plugin_query_metadata :
QEventDispatcherWin32::processEvents :
CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2018-08-29 04:36 PM - Giovanni Manghi

Hadrien Bois wrote:

Nyall Dawson wrote:
| can't reproduce. Can you share some data and an example of a query which crashes?

Just now, | created a new layer on a new project, with 2 fields and 4 points | placed. In DB Manager, virtual layers, tried

select * from ‘points noname'

| cannot confirm the crash, on master/linux.

Anyway when running a wrong query the error dialog here shows completely empty, which is a bug/regression of its own.

#4 - 2019-02-23 08:37 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files
points.gpkg 116 KB 2018-08-28 Hadrien Bois
DBManager_before_crash.jpg 155 KB 2018-08-28 Hadrien Bois
